﻿namespace DecoratedCoffee
{
    public class MilkCoffee : ICoffee
    {
        private readonly ICoffee _coffee;

        public MilkCoffee(ICoffee coffee)
        {
            _coffee = coffee;
        }

        public int Price { get { return _coffee.Price + 5; } }

        public override string ToString()
        {
            return _coffee.ToString() + " with milk";
        }
    }
}
