﻿namespace DecoratedCoffee
{
    public abstract class AbstractDecoratedCoffee : ICoffee
    {
        private readonly ICoffee _coffee;

        protected AbstractDecoratedCoffee(ICoffee coffee)
        {
            _coffee = coffee;
        }

        public virtual  int Price { get { return _coffee.Price;  }  }

        public override string ToString()
        {
            return _coffee.ToString();
        }
    }
} 